<?php 
/**
 * Createing an about us pannel for customizer
 *
 */
// TEAM SECTION START HERE 
/*============TEAM SECTION PANEL============*/
$wp_customize->add_section(
	'lz_fitness_team_section',
	array(
		'title'         => __( 'Our Teams', 'lz-fitness-premium' ),
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
// ENABLE/DISABLE TEAM SECTION
$wp_customize->add_setting(
	'lz_fitness_team_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_team_section_disable',
		array(
			'settings'      => 'lz_fitness_team_section_disable',
			'section'       => 'lz_fitness_team_section',
			'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'lz-fitness-premium' ),
				'off' => __( 'No', 'lz-fitness-premium' )
			)   
		)
	)
);

//backgroundManager($wp_customize, 'team', 'lz_fitness_team_section', $color='#efefef');
backgroundManager($wp_customize, 'team', 'lz_fitness_team_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'lz_fitness_team_lblteamcurvedisplay', 'lz_fitness_team_section', 'Wave Curve Display Setting:');
// to show & hide another button
$wp_customize->add_setting( 'cds_team_curvedisplay' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'cds_team_curvedisplay', array( 'label' => 'Wave Curve Display', 'section' => 'lz_fitness_team_section', 'settings' => 'cds_team_curvedisplay', 'type' => 'radio', 'choices' => array( 'show' => 'Show Wave Curve', 'hide' => 'Hide Wave Curve', ), ) ); 
// end to show & hide button

 // Curve color
    addColorPalatOption($wp_customize, 'lz_fitness_team_curveColor', 'lz_fitness_team_section', 'Wave Curve color', '#fff');

$wp_customize->add_setting(
	'lz_fitness_team_title_subtitle_heading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_team_title_subtitle_heading',
		array(
			'settings'      => 'lz_fitness_team_title_subtitle_heading',
			'section'       => 'lz_fitness_team_section',
			'label'         => __( 'Section Title', 'lz-fitness-premium' ),
		)
	)
);
$wp_customize->add_setting(
	'lz_fitness_team_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Our Team', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_team_title',
	array(
		'settings'      => 'lz_fitness_team_title',
		'section'       => 'lz_fitness_team_section',
		'type'          => 'text',
		'label'         => __( 'Title', 'lz-fitness-premium' )
	)
);

// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_team_HeadingColor', 'lz_fitness_team_section', 'Heading color','#444444');

       // Heading border color
addColorPalatOption($wp_customize, 'lz_fitness_team_HeadingborderColor', 'lz_fitness_team_section', 'Section Heading border color', '#01beff');
// Heading border icon color
addColorPalatOption($wp_customize, 'lz_fitness_team_HeadingbordericonColor', 'lz_fitness_team_section', 'Section Heading border icon color', '#ff6796');

$wp_customize->add_setting('lz_fitness_team_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_team_npp_heading',
		array(
			'settings'      => 'lz_fitness_team_npp_heading',
			'section'       => 'lz_fitness_team_section',
			'label'         => __( 'Number Of team to show', 'lz-fitness-premium' ),
		)
	)
);    
$wp_customize->add_setting('lz_fitness_team_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 3));
$wp_customize->add_control(
	'lz_fitness_team_npp_count',
	array(
		'settings'      => 'lz_fitness_team_npp_count',
		'section'       => 'lz_fitness_team_section',
		'type'          => 'select',
		'label'         => __( 'Number of team members to show', 'lz-fitness-premium' ),
		'choices'=>array(1,2,3,4,5,6,7,8)
	)
);

// TEAM PAGES
for( $i = 1; $i <= 8; $i++ ){
	$wp_customize->add_setting(
		'lz_fitness_team_heading'.$i,
		array(
			'sanitize_callback' => 'lz_fitness_sanitize_text'
		)
	);
	$wp_customize->add_control(
		new lz_fitness_Customize_Heading(
			$wp_customize,
			'lz_fitness_team_heading'.$i,
			array(
				'settings'      => 'lz_fitness_team_heading'.$i,
				'section'       => 'lz_fitness_team_section',
				'label'         => __( 'Team Member ', 'lz-fitness-premium' ).$i,
			)
		)
	);
	if(is_array($lzFitnessTeamsSingleChoice)){
		$wp_customize->add_setting(
			'lz_fitness_team_page'.$i,
			array(
				'sanitize_callback' => 'absint'
			)
		);
		$wp_customize->add_control(
			'lz_fitness_team_page'.$i,
			array(
				'settings'      => 'lz_fitness_team_page'.$i,
				'section'       => 'lz_fitness_team_section',
				'type'=> 'select',
				'label'         => __( 'Select a Trainer', 'lz-fitness-premium' ),
				'choices' => $lzFitnessTeamsSingleChoice,
			)
		);
	}else{
		$wp_customize->add_setting('lz_fitness_team_section_lbl'.$i, array('sanitize_callback'=>'lz_fitness_sanitize_text'));
		$wp_customize->add_control(
			new lz_fitness_Info_Text( 
				$wp_customize,
				'lz_fitness_team_section_lbl'.$i,
				array(
					'settings'		=> 'lz_fitness_team_section_lbl'.$i,
					'section'		=> 'lz_fitness_team_section',
					'label'			=> __( 'Note:', 'lz-fitness-premium' ),	
					'description'	=> __( '<strong>Changes will not reflect unless you select the team member.</strong> <br/>Please add the team from "Teams menu" and then select team member to show information.', 'lz-fitness-premium' ),
				)
			)
		);
	}
}

// img border color
addColorPalatOption($wp_customize, 'lz_fitness_team_imgborderColor', 'lz_fitness_team_section', 'Image Border color', '#ffc4d6');

// member name color
addColorPalatOption($wp_customize, 'lz_fitness_team_TitleColor', 'lz_fitness_team_section', 'Title color', '#444444');

// member name hover color
addColorPalatOption($wp_customize, 'lz_fitness_team_TitlehoverColor', 'lz_fitness_team_section', 'Title hover color', '#ff6796');

// member designation color
addColorPalatOption($wp_customize, 'lz_fitness_team_DesColor', 'lz_fitness_team_section', 'Designation color', '#2f2f2f');

//border color
addColorPalatOption($wp_customize, 'lz_fitness_team_borderColor', 'lz_fitness_team_section', 'Border color', '#01beff');

// social color
addColorPalatOption($wp_customize, 'lz_fitness_team_socialColor', 'lz_fitness_team_section', 'Social color', '#ff6796');

// social border color
addColorPalatOption($wp_customize, 'lz_fitness_team_socialborderColor', 'lz_fitness_team_section', 'Social border color', '#ff6796');


// social hover color
addColorPalatOption($wp_customize, 'lz_fitness_team_socialhoverColor', 'lz_fitness_team_section', 'Social hover color', '#01beff');

// social border color
addColorPalatOption($wp_customize, 'lz_fitness_team_socialborderhoverColor', 'lz_fitness_team_section', 'Social border hover color', '#01beff');


// TEAM SECTION END HERE 